import { jsx as o } from "react/jsx-runtime";
import c from "./inline-svg.js";
const i = (e) => {
  const r = new Blob([e], { type: "image/svg+xml" });
  return URL.createObjectURL(r);
};
function l({ svg: e, alt: r = "", fallback: n = !0, ...m }) {
  if (n && e.indexOf("</foreignObject>") > -1)
    return /* @__PURE__ */ o(c, { svg: e });
  const t = i(e);
  return /* @__PURE__ */ o("img", { src: t, onLoad: () => URL.revokeObjectURL(t), alt: r, ...m });
}
export {
  l as default
};
